Forum Linux.débutant hp deskjet 3636 - > Problème d' installation

Posté par  . Licence CC By‑SA.
Étiquettes :
1
31
mar.
2017

Bonjour et merci à vous tous, vous qui donnez de votre temps pour aider les blaireaux comme moi.

Ma distribution est Linux Mint 17.3

Je viens d'acheter un imprimante, apparemment trop récente, de toute façon il n'y avait pas vieux modèles en vente. Une fois à la maison, j'ai découvert que je n'avais pas le pilote dans mes dépôts. J'ai essayé par l'interface graphique puis avec le terminal dans lequel j'ai tapé :

hp-setup

J'ai suivi les instructions et j'ai eu :

error: No devices found on bus: usb

J'ai évidemment testé tous les ports usb de mon pc et j'ai tout éteint tout rallumé mais rien à faire (aucun message d'erreur sur l'imprimante). Donc j'ai été sur le site d'Ubuntu :

https://doc.ubuntu-fr.org/hplip

J'ai cru comprendre qu'il fallait que je télécharge la dernière version hplip (28 nov 2016). C'est ce que j'ai fait. Je l'ai enregistré sur mon bureau :

hplip-3.16.11.run

Ensuite je crois qu'il fallait taper dans le terminal:

sh hplip-*.run

Et à la place de ce qui était prévu j'ai eu ça

sh: 0: Can't open hplip-*.run

Pourquoi ne peut il pas l'ouvrir ???

J'ai été voir dans le gestionnaire de paquets et j'ai trouvé :

hplip-gui 3.15.2-otrust4.1

et bien d'autres hplip … mais…ais-je le bon ???

Plus tard je suis tombé sur ce site :

http://support.hp.com/us-en/drivers/selfservice/hp-deskjet-3630-all-in-one-printer-series/7172306/model/8655002#Z7_3054ICK0K8UDA0AQC11TA930C7

J'ai eu ceci comme réponse :

HP Printers - Driver Support for Linux OS

For Linux downloads, HP recommends another website. If you need to download Linux drivers, you will be directed to a website that is outside HP Customer Support.
Learn more

Je suis bien parti pour y passer toute la nuit alors que si ça se trouve c'est un truc tout con.

merci à vous

PS : J'ai bien mis du papier

  • # Lancer dans le bon répertoire

    Posté par  . Évalué à 1.

    Quand tu as lancé la commande "sh hplip-*.run" t'étais tu déplacé dans le bon répertoire avant ?

    • [^] # Re: Lancer dans le bon répertoire

      Posté par  . Évalué à 1.

      Je viens de faire pwd et ça me donne :

      /home/starwars

      starwars c'est le nom que j'ai donné.

      Après j'ignore totalement dans quel répertoire je dois être ?

      • [^] # Re: Lancer dans le bon répertoire

        Posté par  . Évalué à 2.

        C'est ce que j'ai fait. Je l'ai enregistré sur mon bureau

        Après j'ignore totalement dans quel répertoire je dois être ?

        ben dans le dossier de ton bureau.

        /home/starwars/Bureau ou
        /home/starwars/Desktop

    • [^] # Re: Lancer dans le bon répertoire

      Posté par  . Évalué à 1.

      Je me suis dit que je confondais peut être le bureau avec le home. Donc j'ai déplacé le fichier du bureau vers le home (starwars) et j'ai refait mon sudo apt-get et ça ne marche toujours pas.

      E: Impossible de trouver de paquet correspondant à l'expression rationnelle « hplip-3.16.11.run »

    • [^] # Re: Lancer dans le bon répertoire

      Posté par  . Évalué à 1. Dernière modification le 31/03/17 à 23:30.

      C'est bon !

      J'ai mis mon fichier à la fois sur le bureau et aussi dans le home.

      Ensuite

      j'ai fait

      sh hplip-*.run

      en prenant soins de remplacer l'astérix pas 3.16.11

      et ça roule

      pour l'instant…

    • [^] # Re: Lancer dans le bon répertoire

      Posté par  . Évalué à 1.

      Mille merci !

      ça roule, enfin ça imprime plutôt.

      Donc faut faire attention à ce que le fichier téléchargé soit dans le même répertoire que celui du terminal et aussi à recopier précisément la commande.

      C'est génial

      merci

      • [^] # Re: Lancer dans le bon répertoire

        Posté par  . Évalué à 2.

        il faut surtout aller dans le dossier ou tu as mis le fichier avant de faire la commande.

        si tu met le fichier sur le bureau, et que le terminal s'ouvre dans /home/starwars
        il faut faire (si ton bureau s'appelle Desktop en ligne de commande)
        au choix, les 3 se valent

        cd Desktop
        sh lescript.sh

        ou

        sh Desktop/lescript.sh

        ou

        sh /home/starwars/Desktop/lescript.sh
  • # Version minimale de hplip

    Posté par  . Évalué à 1.

    Selon cette page, il te faut la version 3.15.6 minimum, donc la version qui est dans les dépôts (via ton gestionnaire de paquets) n'est pas suffisante, mais celle que tu as téléchargée devrait l'être.

    • [^] # Re: Version minimale de hplip

      Posté par  . Évalué à 1. Dernière modification le 31/03/17 à 23:14.

      C'est bien cette version que j'ai téléchargée et qui se trouve sur mon bureau seulement je ne sais pas du tout ce que je dois faire ensuite avec ce fichier. J'ai tenté un sudo apt-get install hplip-3.16.11.run mais ça n'a rien donné. J'ai bien mis mon mot de passe. Impossible de trouver le paquet.

  • # sudo

    Posté par  . Évalué à 2.

    Essayes ça :
    sudo ./hplip-3.16.11.run

Suivre le flux des commentaires

Note : les commentaires appartiennent à celles et ceux qui les ont postés. Nous n’en sommes pas responsables.